package org.jeecg.modules.maintenanceWork.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "WorkBatchSaveOrUpdateDetailDTO对象", description = "维修作业管理-页面来源保存或更新dto")
public class WorkBatchSaveOrUpdateDetailDTO {
    @ApiModelProperty("分析批次单元设备id")
    private String unitId;

    @ApiModelProperty("单元设备code")
    private String unitCode;

    @ApiModelProperty("设备单元类型1-钢轨 2-曲线 3-竖曲线 4-道岔")
    private Integer type;

    @ApiModelProperty("设备单元类型名称")
    private String unitTypeName;

    @ApiModelProperty("设备编号")
    private String unitDeviceCode;

    @ApiModelProperty("设备单元起始里程")
    private BigDecimal unitStartMileage;

    @ApiModelProperty("设备单元中心里程")
    private BigDecimal unitCenterMileage;

    @ApiModelProperty("设备单元结束里程")
    private BigDecimal unitEndMileage;

    @ApiModelProperty("单元得分等级 1-优良 2-合格 3-失格")
    private int unitScoreLevel;

    @ApiModelProperty("单元得分")
    private BigDecimal unitScore;

    @ApiModelProperty("维修建议")
    private String remark;
}
